#!/bin/sh

homePath=$1

if [ -z "$1" ]
    then
    homePath="/skole/tjener/home0"
fi

if [ ! -d "$homePath" ]
    then
    echo "Attention, $homePath is not a directory"
    echo "Aborting"
    exit 1
fi

echo "Updating user directories at $homePath wtih floppy access..."

for dir in $homePath/*
  do
  if [ "$dir" != "$homePath/lost+found" ]
    then 
    echo "Updating $dir..."
    cp /etc/skel/.mtoolsrc $dir/
    cp -a /etc/skel/.kde $dir/
    chown --reference=$dir $dir/.kde/Autostart/floppycheck.sh
    chown --reference=$dir $dir/.mtoolsrc
  fi
done

echo
echo "Update done"
exit 0